Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453855 - Review Request: globus-openssl-module - Globus Toolkit - Globus OpenSSL Module Wrapper
Summary: Review Request: globus-openssl-module - Globus Toolkit - Globus OpenSSL Modul...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gpt 453848 453850 453851 453853 453854
Blocks: globus 453856 453857 453858 453861 453862 453865 467237
TreeView+ depends on / blocked
 
Reported: 2008-07-02 22:15 UTC by Mattias Ellert
Modified: 2009-05-13 00:25 UTC (History)
4 users (show)

Fixed In Version: 0.6-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-02 16:23:08 UTC
oget.fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2008-07-02 22:15:58 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-openssl-module.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-openssl-module-0.6-0.1.fc9.src.rpm
Description :
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-openssl-module package contains:
Globus OpenSSL Module Wrapper

BuildRequires:  gpt
BuildRequires:  libtool
BuildRequires:  globus-gsi-proxy-ssl-devel >= 1
BuildRequires:  globus-common-devel >= 3
BuildRequires:  globus-gsi-openssl-error-devel >= 0
BuildRequires:  globus-openssl-devel >= 1
BuildRequires:  globus-core-devel >= 4

Comment 1 Mattias Ellert 2008-10-14 05:33:54 UTC
New version based on the globus toolkit 4.2.1 release:

SRPM: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-openssl-module-0.6-0.2.fc9.src.rpm
SPEC: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-openssl-module.spec

All applied patches submitted upstream:

Initialization of openssl module should call SSL_library_init:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=4743#c22

Fix a typo in the metadata file:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6470

Comment 2 Mattias Ellert 2008-10-16 14:30:07 UTC
Typo patch has been accepted upstream:

http://viewcvs.globus.org/viewcvs.cgi/gsi/openssl_module/source/pkgdata/pkg_data_src.gpt.in?r1=1.15&r2=1.16

Comment 3 Mattias Ellert 2008-10-29 12:33:48 UTC
openssl module should call SSL_library_init patch accepted upstream:

http://viewcvs.globus.org/viewcvs.cgi/gsi/openssl_module/source/library/globus_openssl.c?r1=1.13&r2=1.14

Comment 4 Mattias Ellert 2009-01-06 00:47:43 UTC
This package was updated due to the renaming of the GPT package.

SRPM: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-openssl-module-0.6-0.3.fc10.src.rpm

SPEC: http://www.grid.tsl.uu.se/repos/globus/info/globus-openssl-module.spec

Comment 5 Mattias Ellert 2009-03-15 23:58:51 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-openssl-module-0.6-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-openssl-module.spec

Comment 6 Mattias Ellert 2009-04-17 13:44:04 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-openssl-module-0.6-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-openssl-module.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 7 Orcan Ogetbil 2009-04-24 17:39:36 UTC
- Package builds in rawhide:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1319436

! BuildRequires: globus-openssl-devel >= 1   on the main package and
  Requires:       globus-openssl-devel >= 1 on the devel package seem unnecessary. They are not harmful though (they are picked up by other deps).

? Actually could you explain me those other Requires' in the devel package? The header file globus_openssl.h does not #include anything other than "globus_common.h". Where do the other dependencies come from? I bet it is a magical globus thingy, but I'd like to learn the mechanism.

Comment 8 Mattias Ellert 2009-04-24 21:03:53 UTC
The BuildRequires on globus-openssl-devel makes sense since there are direct dependencies on openssl in the sources (globus-openssl is the GPT glue package for openssl):

#include "openssl/crypto.h"
#include "openssl/err.h"
#include "openssl/ssl.h"

The requires in the devel package must not only satisfy the include dependencies in the installed headers but also the link dependencies. These can either be derived using GPT:

[ellert@ellert ~]$ globus-makefile-header globus_openssl_module -flavor=gcc32pthr | grep GLOBUS_PKG_LIBS
GLOBUS_PKG_LIBS = -lglobus_openssl -lglobus_openssl_error -lglobus_proxy_ssl -lglobus_common -ldl -L/usr/kerberos/lib -lssl -lcrypto -ldl -lz -lltdl

or using pkg-config:

[ellert@ellert ~]$ pkg-config --libs globus-openssl-module
-L/usr/kerberos/lib -lglobus_openssl -lglobus_proxy_ssl -lglobus_openssl_error -lglobus_common -lltdl -lssl -lcrypto -ldl -lz  

The pkg-config file is generated from the GPT metadata, so the list should be the same (though the order might differ).

The Requires and BuildRequires in the spec file are automatically derived from the GPT source package description file pkgdata/pkg_data_src.gpt.in. This information is also used during the build to generate the GPT package installed GPT metadata file for the development package, which is the input for the generation of the pkg-config file. So the Requires in the devel package and what ends up as dependencies in the pkg-config file should be consistent.

The "magic globus thingy" is really only parsing and putting together the relevant part of the GPT source package description file which is XML. The perl script used is currently linked from the Packaging Draft page. It has been suggested to make the script part of globus-core (see the discussion page for the Packaging Draft).

Comment 9 Orcan Ogetbil 2009-04-24 21:32:49 UTC
Alright then. Thanks for the explanation. No further questions. This one is good to go:

--------------------------------------------------------
This package (globus-openssl-module) is APPROVED by oget
--------------------------------------------------------

Comment 10 Orcan Ogetbil 2009-04-25 16:33:39 UTC
Hold on, I said "no further questions" but I need to take a step back and ask another:

* The installed package gives the rpmlint:

$ rpmlint globus-openssl-module
globus-openssl-module.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libglobus_openssl.so.0.0.6 /lib64/libdl.so.2
globus-openssl-module.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libglobus_openssl.so.0.0.6 /lib64/libz.so.1
globus-openssl-module.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libglobus_openssl.so.0.0.6 /usr/lib64/libltdl.so.3
globus-openssl-module.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libglobus_openssl.so.0.0.6 /lib64/libpthread.so.0

Also, some of the other globus packages that we approved have these kind of warnings. Are these warnings given because the .pc files report more links than they actually need to? Or how can we fix these?

Comment 11 Mattias Ellert 2009-04-28 03:12:56 UTC
This is a different, but related, issue. This happens quite frequently for packages using pkg-config as well - so it is not a GPT specific issue.

This issue is documented here:
http://fedoraproject.org/wiki/PackageMaintainers/CommonRpmlintIssues#unused-direct-shlib-dependency

The above reference also suggests a solution for the problem. The solution involves a sed replacement in the libtool file. In the Globus case this is easily implemented, since there is a common libtool file in globus-core used by all packages. So the fix only needs to be applied in globus-core, and then all other packages will be OK once they are rebuilt.

I have applied the fix for globus-core and rebuilt the already approved packages. If you rebuild this package using the new globus-core this package will be OK too.

Comment 12 Orcan Ogetbil 2009-04-28 03:44:21 UTC
Yes, that fixed it. Thanks. I'm glad that was an easy fix.

---------------------------------------------------------------
This package (globus-openssl-module) is really APPROVED by oget
---------------------------------------------------------------

Do you need to rebuild everything against the new globus-core now? :-(

Comment 13 Mattias Ellert 2009-04-28 07:18:41 UTC
Thank you for the review. I'm happy it was easy too.


New Package CVS Request
=======================
Package Name: globus-openssl-module
Short Description: Globus Toolkit - Globus OpenSSL Module Wrapper
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 14 Kevin Fenzi 2009-04-29 02:48:53 UTC
cvs done.

Comment 15 Fedora Update System 2009-04-29 08:47:33 UTC
globus-openssl-module-0.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-openssl-module-0.6-1.fc10

Comment 16 Fedora Update System 2009-04-29 08:47:41 UTC
globus-openssl-module-0.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-openssl-module-0.6-1.fc9

Comment 17 Fedora Update System 2009-05-02 16:23:03 UTC
globus-openssl-module-0.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-05-02 16:37:37 UTC
globus-openssl-module-0.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-05-12 05:18:21 UTC
globus-openssl-module-0.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-openssl-module-0.6-1.fc11

Comment 20 Fedora Update System 2009-05-13 00:25:02 UTC
globus-openssl-module-0.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.